Subject: Re: bug#47479: inkscape retains a reference to imagemagick, even though it is in native-inputs

From: Efraim Flashner <[email-masked]>
Date: Tue, 30 Mar 2021 10:19:32 +0300

On Mon, Mar 29, 2021 at 05:16:01PM -0400, Mark H Weaver wrote:
> Hi Maxime,
> 
> Maxime Devos <[email-masked]> writes:
> 
> > On
> > $ guix --version
> >> guix (GNU Guix) 510e24f973a918391d8122fd6ad515c0567bf23e
> >
> > with
> > $ guix graph --type=references inkscape
> >
> > it can be seen inkscape retains the reference to imagemagick,
> > even though imagemagick is in native-inputs.
> 
> I believe this is incorrect.  On my Guix system, I see this:
> 
> --8<---------------cut here---------------start------------->8---
> mhw@jojen ~$ guix package -I inkscape
> inkscape	0.92.4	out	/gnu/store/rx26f9xn14fng2gnzsigr74492lrkydl-inkscape-0.92.4
> mhw@jojen ~$ guix gc -R /gnu/store/rx26f9xn14fng2gnzsigr74492lrkydl-inkscape-0.92.4 | grep -i imagemagick
> --8<---------------cut here---------------end--------------->8---

It is the case for [email-masked]

(ins)efraim@3900XT ~$ guix package -A inkscape
inkscape        1.0.2   out     gnu/packages/inkscape.scm:121:2
inkscape        0.92.4  out     gnu/packages/inkscape.scm:56:2
(ins)efraim@3900XT ~$ guix gc --references $(guix build inkscape@1) | grep -i imagemagick
/gnu/store/y4rym48vihmh3jk9qnll0zqfnxzi9n6v-imagemagick-6.9.12-4

I believe it comes from the glib-or-gtk-wrap phase where it wraps the
XDG_DATA_DIRS and likely grabs more than it needs.

> I guess that "guix graph --type=references" is not a reliable indicator
> of what we need to check for.
> 
> FYI, this is what I do to check that my system and user profile do not
> have references to imagemagick:
> 
> --8<---------------cut here---------------start------------->8---
> mhw@jojen ~$ guix gc -R $(readlink /run/current-system) | grep -i imagemagick
> mhw@jojen ~$ guix gc -R $(readlink -f ~/.guix-profile) | grep -i imagemagick
> --8<---------------cut here---------------end--------------->8---
> 
>     Regards,
>       Mark
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted